<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gmock_leak_test.GMockLeakTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgmock__leak__test_1_1GMockLeakTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gmock_leak_test.GMockLeakTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gmock_leak_test.GMockLeakTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgmock__leak__test_1_1GMockLeakTest__inherit__graph.svg" width="250" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gmock_leak_test.GMockLeakTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgmock__leak__test_1_1GMockLeakTest__coll__graph.svg" width="250" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad87d271de7b3f106e51272d6e9139c76"><td class="memItemLeft" align="right" valign="top"><a id="ad87d271de7b3f106e51272d6e9139c76"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesLeakedMockByDefault</b> (self)</td></tr>
<tr class="separator:ad87d271de7b3f106e51272d6e9139c76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3107bf5a603558ab2d97d88fb5589951"><td class="memItemLeft" align="right" valign="top"><a id="a3107bf5a603558ab2d97d88fb5589951"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testDoesNotCatchLeakedMockWhenDisabled</b> (self)</td></tr>
<tr class="separator:a3107bf5a603558ab2d97d88fb5589951"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f4040a392d183597f71d92da8c1246"><td class="memItemLeft" align="right" valign="top"><a id="a78f4040a392d183597f71d92da8c1246"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesLeakedMockWhenEnabled</b> (self)</td></tr>
<tr class="separator:a78f4040a392d183597f71d92da8c1246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab19cf302ea06e1b186bd6ab951d9161e"><td class="memItemLeft" align="right" valign="top"><a id="ab19cf302ea06e1b186bd6ab951d9161e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesLeakedMockWhenEnabledWithExplictFlagValue</b> (self)</td></tr>
<tr class="separator:ab19cf302ea06e1b186bd6ab951d9161e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09465b2bfde98834e4bb9563c035f034"><td class="memItemLeft" align="right" valign="top"><a id="a09465b2bfde98834e4bb9563c035f034"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesMultipleLeakedMocks</b> (self)</td></tr>
<tr class="separator:a09465b2bfde98834e4bb9563c035f034"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock_leak_test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>gmock_leak_test</b></li><li class="navelem"><a class="el" href="classgmock__leak__test_1_1GMockLeakTest.html">GMockLeakTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
